package com.test;

import android.app.Service;
import android.content.Intent;
import android.os.IBinder;
import android.os.RemoteException;
import android.util.Log;

public class MyAIDLService extends Service{
    private static final String TAG = "skywang-->MyAIDLService";

    private MyAIDLInterface.Stub myBinder = 
            new MyAIDLInterface.Stub() {
                
                @Override
                public void halfValue(int val) throws RemoteException {
                    Log.d(TAG, "halfValue val="+val/2);
                     
                } 
                
                @Override
                public void doubleValue(int val) throws RemoteException {
                    Log.d(TAG, "doubleValue val="+val*2);                    
                }
            };
    @Override
    public void onCreate() {        
        super.onCreate();
    }
    
    @Override
    public void onDestroy(){
        super.onDestroy();
    }
    
    @Override
    public IBinder onBind(Intent intent) {
        return myBinder;
    }
}